Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.puppycrawl.tools.checkstyle.checks
Class AbstractOptionCheck

    java.lang.Object
      com.puppycrawl.tools.checkstyle.api.AutomaticBean
          com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
              com.puppycrawl.tools.checkstyle.api.Check
                  com.puppycrawl.tools.checkstyle.checks.AbstractOptionCheck

All Implemented Interfaces:
  Configurable, Contextualizable

Direct Known Subclasses:
  EmptyBlockCheck, EmptyForInitializerPadCheck, EmptyForIteratorPadCheck, LeftCurlyCheck, MethodParamPadCheck, OperatorWrapCheck, ParenPadCheck, RightCurlyCheck, TypecastParenPadCheck

    public abstract class AbstractOptionCheck

extends Check

Abstract class for checks with options.

Author:
  Rick Giles

Constructor Summary
`AbstractOptionCheck(AbstractOption aDefault)` Creates a new `AbstractOptionCheck` instance.

Method Summary
`AbstractOption` | `getAbstractOption()`
`void` | `setOption(String aOption)` Set the option to enforce.

Methods inherited from class com.puppycrawl.tools.checkstyle.api.Check
`beginTree, destroy, finishTree, getAcceptableTokens, getClassLoader, getDefaultTokens, getFileContents, getLines, getRequiredTokens, getTabWidth, getTokenNames, init, leaveToken, log, log, setClassLoader, setFileContents, setMessages, setTabWidth, setTokens, visitToken`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
`getId, getMessageBundle, getSeverity, getSeverityLevel, log, log, log, log, log, log, log, log, log, setId, setSeverity`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AutomaticBean
`configure, contextualize, finishLocalSetup, getConfiguration, setupChild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractOptionCheck

    public AbstractOptionCheck(AbstractOption aDefault)

  Creates a new `AbstractOptionCheck` instance.

  Parameters:
    `aDefault` - the default option.

Method Detail

### setOption

    public void setOption(String aOption)
                   throws org.apache.commons.beanutils.ConversionException

  Set the option to enforce.

  Parameters:
    `aOption` - string to decode option from
  Throws:
    `org.apache.commons.beanutils.ConversionException` - if unable to decode

### getAbstractOption

    public AbstractOption getAbstractOption()

  Returns:
    the `AbstractOption` set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Back to the Checkstyle Home Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD